API Direct
Endpoints
Bluesky Post Reposts

Bluesky Post Reposts

GET /v1/bluesky/post/reposts

Get the users who reposted a Bluesky post, newest first. Returns handle, display name, DID, bio, verification status, profile picture, and join date for each user.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

url
Bluesky post URL, e.g. https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l (max 500 characters). Provide either url or post_id.
post_id
The post's AT URI as returned in post_id, e.g. at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l (max 200 characters). Provide either url or post_id.
pages
Number of pages to fetch, 1-20 (default: 1). Each page returns up to 50 accounts; you are billed per page returned.

Example Request

curl "https://apidirect.io/v1/bluesky/post/reposts?url=https%3A%2F%2Fbsky.app%2Fprofile%2Fbsky.app%2Fpost%2F3l6oveex3ii2l&pages=1"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "reposts": [
    {
      "username": "sykhotic.bsky.social",
      "full_name": "Hunter/Hubris (XIV 7.x Spoilers)",
      "user_id": "did:plc:zzwq6jhjnv4irlwhl5okzdut",
      "biography": "They/He | 30s | 🔞 (18+) | Furry\nExtremely part-time Let's Player. Canadian. Severely addicted to FFXIV (Hubris Tymbaent/Bozica Tirasch - Faerie, Aethe…",
      "is_verified": false,
      "profile_pic_url": "https://cdn.bsky.app/img/avatar/plain/did:plc:zzwq6jhjnv4irlwhl5okzdut/bafkreifcg4l3q5spoia4tdwxrdkrmuzcem3ymzllpykff7jtnps6tcejam",
      "date_joined": "2023-08-03 15:59:32",
      "url": "https://bsky.app/profile/sykhotic.bsky.social"
    }
  ],
  "post_id": "at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l",
  "total": 9530,
  "pages": 1,
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity